%define name 	gremind
%define version 0.1.1
%define release %mkrel 1

Summary: 	gremind is a simple gtkmm alarm for the GNOME Desktop Environment.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		gremind-0.1.1-fixconfigure.patch
License: 	GPLv2+
Group: 		Graphical desktop/GNOME
URL: 		http://perticone.homelinux.net/~sergio/c++/gremind/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  	libnotify1 >= 0.4.3
Requires:  	libgnome2 >= 2.18
Requires:  	libgtkmm2.4 >= 2.10
Requires:  	libgconfmm2.6 >= 2.18
BuildRequires:  libgconfmm2.6-devel >= 2.18
BuildRequires:  libnotify1-devel >= 0.4.3
BuildRequires:  libgtkmm2.4-devel >= 2.10
BuildRequires:  libgnome2-devel >= 2.18
BuildRequires:	ImageMagick

%description
gremind allows you to set reminders (by time and description) 
so, when the time expires, notifies you with a discrete popup
on the system tray and optionally, plays a custom sound.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fixconfigure

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-Office-Accessories" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 644 pixmaps/%{name}.png  $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README AUTHORS TODO COPYING INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Sep 18 2008 don_crissti <don_crissti@gmx.com> 0.1.1-1pclos2007
- Initial build for PCLinuxOS

